.row {
  max-width: $grid-width;
  margin: 0 auto;

  &:not(:last-child) {
    margin-bottom: $gutter-vertical;
  }

  @include clearfix;

  [class^="col-"] {
    float: left;

    &:not(:last-child) {
      margin-right: $gutter-horizontal;
    }
  }

  @for $i from 1 through $number-of-divisions {
    @for $e from 1 through $number-of-divisions {
      @if ($e <= $i) {
        .col-#{$e}-of-#{$i} {
          $number-of-spaces: $i - 1;
          $total-gutter-horizontal: $number-of-spaces * $gutter-horizontal;
          $additional-width: ($e - 1) * $gutter-horizontal;
          width: calc(#{$e} * (100% - #{$total-gutter-horizontal})/#{$i} + #{$additional-width});
        }
      }
    }
  }
}